Subject: bug#14378:

From: Jan Djärv <[email-masked]>
Date: Sun, 26 May 2013 11:27:33 +0200

Hello.

I repeated this 30 times, both on trunk and 24.3, it did not crash.  
Can you try this on trunk?

To obtain a gdb-backtrace:

% gdb Emacs.app/Contents/MacOS/Emacs
(gdb) r
<when in crashes>
(gdb) bt full

	Jan D.

24 maj 2013 kl. 21:16 skrev William Bert <[email-masked]>:

> I might be misunderstanding your question, but I created the original bug report (at 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14378) via report-emacs-bug, and included a repro from emacs -Q. I dumped an OS X console crash log that may be obscuring the information that report-emacs-bug includes, but it's there toward the bottom of the email.
> 
> I haven't done a backtrace with gdb before but when I get some time I'll look into it.
> 
> If I'm misunderstanding or there's more I can do to help, please let me know!
> 
> I'll include the repro here as well:
> 
> * Repro from emacs -Q:
> 
> 0. Obtain magit. I'm using 924a56fe24c3c4acf55daa7266b2e9ad4fc30abb (master
> HEAD as I write this), but I have also seen this happen with earlier
> versions for several weeks.
> 1. (add-to-list 'load-path "/path/to/magit")
> 2. (require 'magit)
> 3. Open a file that is in a git repo. For example, I can repro using my own
> .emacs.d, https://github.com/sandinmyjoints/.emacs.d. It's not very big
> (184 commits).
> 4. Do command `magit-status`
> 5. Hit `l` for magit-log
> 6. Hit `l` for short log
> 7. Hit `q` to bury log.
> 8. Hit `q` to bury magit-status.
> 9. Repeat steps 4-8 until crash.
> 
> With my normal .emacs.d, I can repeat it only 2-3 times before crash. With
> emacs -Q, it takes more like 5-8. Step 6 seems to get a little slower each
> time it is run.
> 
> Thanks,
> William
> 
> 
> On Thu, May 23, 2013 at 11:47 AM, Eli Zaretskii <[email-masked]> wrote:
> > Date: Thu, 23 May 2013 07:55:56 -0400
> > From: William Bert <[email-masked]>
> >
> > This fixes the magit bug: https://github.com/magit/magit/pull/650
> >
> > Might be useful in diagnosing / fixing the underlying Emacs bug.
> 
> Is it possible to have a full bug report, done with report-emacs-bug,
> and with a recipe to reproduce the problem, and perhaps even a
> backtrace from the crash?
> 
> Thanks in advance.
> 
> 
> 
> -- 
> williamjohnbert.com | github.com/sandinmyjoints | doread.me | callandresponsedc.org | twitter.com/williamjohnbert 
>